mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
secret: ""
dns:
  enabled: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 8.8.8.8
  fallback:
    - https://dns.google/dns-query
    - https://cloudflare-dns.com/dns-query
proxies:
  - name: "HY2_[2001:bc8:1203:106::399]_5355"
    type: "hysteria2"
    server: "[2001:bc8:1203:106::399]"
    port: 5355
    password: "dongtaiwang.com"
    sni: "www.bing.com"
    skip-cert-verify: true
  - name: "HY2_[2001:bc8:32d7:158::9]_33356"
    type: "hysteria2"
    server: "[2001:bc8:32d7:158::9]"
    port: 33356
    password: "dongtaiwang.com"
    sni: "apple.com"
    skip-cert-verify: true
  - name: "HY2_[2604:6600::5cb]_22222"
    type: "hysteria2"
    server: "[2604:6600::5cb]"
    port: 22222
    password: "dongtaiwang.com"
    sni: "www.bing.com"
    skip-cert-verify: true
  - name: "HY2_51.158.194.63_32952"
    type: "hysteria2"
    server: "51.158.194.63"
    port: 32952
    password: "dongtaiwang.com"
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY_[2604:6600::5cb]_15823"
    type: "hysteria"
    server: "[2604:6600::5cb]"
    port: 15823
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY_51.159.226.1_49003"
    type: "hysteria"
    server: "51.159.226.1"
    port: 49003
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY_62.210.10.186_40099"
    type: "hysteria"
    server: "62.210.10.186"
    port: 40099
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY_195.154.200.40_15010"
    type: "hysteria"
    server: "195.154.200.40"
    port: 15010
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "VLESS_195.154.200.40_39433"
    type: "vless"
    server: "195.154.200.40"
    port: 39433
    uuid: "3ed2ad90-b217-4872-8aa4-ef69a9b90f1e"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "1lqZT_67ca5aaviZfHpK55-JdpNG10k2yxkGQwhF9Hg"
      short-id: "cbdf01cc"
      spider-x: "/"
    servername: "www.yahoo.com"
  - name: "VLESS_2001:bc8:32d7:158::6_10033"
    type: "vless"
    server: "2001:bc8:32d7:158::6"
    port: 10033
    uuid: "56618bde-5a09-4ef8-ae56-6e7a8d69ec67"
    network: "grpc"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "m1ORavmKKsF8kn6JfNF1m35wRORu8c6YLyxpSfyiYQ0"
      short-id: "dfdfb0e2e2d400c4"
      spider-x: "/"
    servername: "nijigen-works.jp"
    grpc-opts:
      grpc-service-name: "FhwHiFzK"
  - name: "VLESS_fan3.394615.xyz_34500"
    type: "vless"
    server: "fan3.394615.xyz"
    port: 34500
    uuid: "8b66e552-e89d-4c4f-bb5a-e3d37bf151b8"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "Yg6kOijRv1IbFcwhY0WmwJ8KW7YTtux4QlQhekEzNEQ"
      short-id: "3a1381d1b2cc9e19"
      spider-x: "/"
    servername: "www.lovelive-anime.jp"
  - name: "HY2_62.210.10.140_11223"
    type: "hysteria2"
    server: "62.210.10.140"
    port: 11223
    password: "dongtaiwang.com"
    sni: "bing.com"
    skip-cert-verify: true
  - name: "JUICITY_62.210.10.140_11223"
    type: "juicity"
    server: "62.210.10.140"
    port: 11223
    uuid: "4b230023-d64a-4231-b5ca-c38a4546a5d0"
    password: "dongtaiwang.com"
    sni: "bing.com"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"

proxy-groups:
  - name: "🚀 自动选择"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

  - name: "♻️ 故障转移"
    type: fallback
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

  - name: "🌍 手动切换"
    type: select
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,"🌍 手动切换"
